Name:           sparkleshare
Version:        0.2.rc1
Release:        5%{?dist}
Summary:        Easy file sharing based on git repositories

Group:          Applications/Productivity
License:        GPLv3
URL:            http://www.sparkleshare.org/
Source0:        sparkleshare-0.2.rc1.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  mono-devel ndesk-dbus-devel ndesk-dbus-glib-devel notify-sharp-devel desktop-file-utils intltool python2-devel python3-devel nautilus-python-devel nant
BuildRequires:  gnome-doc-utils nant
Requires:       git desktop-file-utils yelp

%global         debug_package %{nil}

%description

Easy file sharing based on git repositories. A special folder is setup,
and directories/files placed within are placed in a git-based version
control system and synchronized elsewhere.

%prep
%setup -q

# Turn off byte-compiling of python
%global __os_install_post %(echo '%{__os_install_post}' | sed -e 's!/usr/lib[^[:space:]]*/brp-python-bytecompile[[:space:]].*$!!g')


%build
%configure
# no parallel make on SMP because it's racy for this build :(
GMCS_FLAGS=-codepage:utf8 make


%install
rm -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_libdir}/mono/gac/
make install DESTDIR=%{buildroot}
chmod 644 %{buildroot}%{_libdir}/nautilus/extensions-3.0/python/*.py || :
desktop-file-validate %{buildroot}/%{_datadir}/applications/sparkleshare.desktop

# byte-compile various pieces
%py_byte_compile %{__python} %{buildroot}%{_libdir}/nautilus/extensions-3.0/python/ || :

# find translations
%find_lang %{name}

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
/usr/bin/sparkleshare
%{_libdir}/sparkleshare/
/usr/share/sparkleshare/
/usr/share/applications/sparkleshare.desktop
%{_libdir}/nautilus/extensions-3.0/python/sparkleshare-nautilus-extension.py*
/usr/share/icons/hicolor/16x16/apps/folder-sparkleshare.png
/usr/share/icons/hicolor/22x22/apps/folder-sparkleshare.png
/usr/share/icons/hicolor/24x24/apps/folder-sparkleshare.png
/usr/share/icons/hicolor/256x256/apps/folder-sparkleshare.png
/usr/share/icons/hicolor/32x32/apps/folder-sparkleshare.png
/usr/share/icons/hicolor/48x48/apps/folder-sparkleshare.png

%doc README
%doc %{_mandir}/man1/sparkleshare.1.gz
%doc /usr/share/gnome/help/sparkleshare/

%changelog
* Sat May 07 2011 Máirín Duffy - 0.2.rc1
- rebuilt

* Sat Nov 20 2010 Alex Hudson - 0.2.beta1-3
- rebuilt

* Thu Sep 02 2010 Alex Hudson - 0.2.alpha2-5
- update from git; now includes end-user help

* Tue Aug 17 2010 Alex Hudson - 0.2.alpha2-4
- now includes man page and new icons

* Mon Aug 16 2010 Alex Hudson - 0.2.alpha2-3
- slightly cleaner wrt. rpmlint

* Sat Aug 07 2010 Alex Hudson - 0.2.alpha1-2
- various fixes from git post-alpha release

* Tue Aug 03 2010 Alex Hudson - 0.2.alpha1-1
- Initial release of the 0.2alpha series of SparkleShare

